# Class Response<T>

Namespace
  adas_core.Domain.Models.Responses

Assembly
  adas-core.Domain.dll

Represents a generic response wrapper that encapsulates a payload of type `T` along with associated response metadata.

    public class Response<T>

#### Type Parameters

`T`

  The type of the payload contained within the response.

Inheritance
  object
  Response<T>

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### Response()

    public Response()

### Response(T)

    public Response(T data)

#### Parameters

`data` T

## Properties

### Data

    public T? Data { get; set; }

#### Property Value

T

### Errors

    public string[]? Errors { get; set; }

#### Property Value

string[]

### Message

    public string? Message { get; set; }

#### Property Value

string

### Succeeded

    public bool? Succeeded { get; set; }

#### Property Value

bool?